//
//  debug.h
//  iAuth2sdk
//
//  Created by Calaimany Bhoopathi on 7/20/18.
//  Copyright © 2018 identiv. All rights reserved.
//

#ifndef debug_h
#define debug_h

#include <stdio.h>
#include <stdarg.h>

#define LOG_LEVEL_ERROR     1
#define LOG_LEVEL_TRACE     2
#define LOG_LEVEL_INFO      4
#define LOG_LEVEL_ALL       15

typedef int (*DebugCallbackFunction)(char *);

void RegisterDebugCallback(DebugCallbackFunction fnCallback);
void SetDebugLevel(int);

void DebugLog(int, char *, ...);
int IsDebugDataAvailable(void);
unsigned RetrieveDebugData(char *buffer, unsigned size);

#endif /* debug_h */
